MoreLikeThisQuery (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.similar.MoreLikeThisQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.similar
Class MoreLikeThisQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.similar.MoreLikeThisQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class MoreLikeThisQuery

extends Query

A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.

See Also:
  Serialized Form

Constructor Summary
`MoreLikeThisQuery(String likeText, String[] moreLikeFields, Analyzer analyzer)`

Method Summary
`Analyzer` | `getAnalyzer()`
`String` | `getLikeText()`
`int` | `getMaxQueryTerms()`
`int` | `getMinDocFreq()`
`int` | `getMinTermFrequency()`
`String[]` | `getMoreLikeFields()`
`float` | `getPercentTermsToMatch()`
`Set` | `getStopWords()`
`Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
`void` | `setAnalyzer(Analyzer analyzer)`
`void` | `setLikeText(String likeText)`
`void` | `setMaxQueryTerms(int maxQueryTerms)`
`void` | `setMinDocFreq(int minDocFreq)`
`void` | `setMinTermFrequency(int minTermFrequency)`
`void` | `setMoreLikeFields(String[] moreLikeFields)`
`void` | `setPercentTermsToMatch(float percentTermsToMatch)`
`void` | `setStopWords(Set stopWords)`
`String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoreLikeThisQuery

    public MoreLikeThisQuery(String likeText,
                             String[] moreLikeFields,
                             Analyzer analyzer)

Parameters:
  `moreLikeFields` -

Method Detail

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Description copied from class: `Query`
  Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` assumed to be the default field and omitted.

  The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

  - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
  - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.

  Specified by:
    `toString` in class `Query`

### getPercentTermsToMatch

    public float getPercentTermsToMatch()

### setPercentTermsToMatch

    public void setPercentTermsToMatch(float percentTermsToMatch)

### getAnalyzer

    public Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

### getLikeText

    public String getLikeText()

### setLikeText

    public void setLikeText(String likeText)

### getMaxQueryTerms

    public int getMaxQueryTerms()

### setMaxQueryTerms

    public void setMaxQueryTerms(int maxQueryTerms)

### getMinTermFrequency

    public int getMinTermFrequency()

### setMinTermFrequency

    public void setMinTermFrequency(int minTermFrequency)

### getMoreLikeFields

    public String[] getMoreLikeFields()

### setMoreLikeFields

    public void setMoreLikeFields(String[] moreLikeFields)

### getStopWords

    public Set getStopWords()

### setStopWords

    public void setStopWords(Set stopWords)

### getMinDocFreq

    public int getMinDocFreq()

### setMinDocFreq

    public void setMinDocFreq(int minDocFreq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.